Bug 1128386 - "bogus date in %changelog" for non-bogus date
Summary: "bogus date in %changelog" for non-bogus date
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: fedpkg
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dennis Gilmore
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-09 22:17 UTC by Richard W.M. Jones
Modified: 2014-08-11 09:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-11 07:57:20 UTC


Attachments (Terms of Use)

Description Richard W.M. Jones 2014-08-09 22:17:45 UTC
Description of problem:

$ fedpkg verrel
warning: bogus date in %changelog: Sun Aug 09 2014 Richard W.M. Jones <rjones@redhat.com> 2:2.1.0-3

However the date is *not* bogus ...?

In fact, today is that date.

Version-Release number of selected component (if applicable):

fedpkg-1.18-1.fc22.noarch

How reproducible:

100%

Steps to Reproduce:
1. Type `fedpkg verrel'

Comment 1 Richard W.M. Jones 2014-08-09 22:32:11 UTC
The %changelog section starts:

* Sun Aug 09 2014 Richard W.M. Jones <rjones@redhat.com> 2:2.1.0-3              
- Non-upstream patch for aarch64 which uncompresses -kernel parameter.          
                                                                                
* Sun Aug 03 2014 Richard W.M. Jones <rjones@redhat.com> 2:2.1.0-2              
- Update to qemu 2.1.0 final released version.                                  
- Drop optimization flags when compiling on aarch64 (see RHBZ#1126199).         
                                                                                
* Fri Jul 25 2014 Cole Robinson <crobinso@redhat.com> 2:2.1.0-0.5.rc3           
- Update to qemu-2.1.0-rc3                                                      
                                                                                
* Wed Jul 16 2014 Cole Robinson <crobinso@redhat.com> 2:2.1.0-0.4.rc2           
- Update to qemu-2.1.0-rc2                                                      
                                                                                
* Mon Jul 14 2014 Peter Robinson <pbrobinson@fedoraproject.org> 2:2.1.0-0.3.rc1 
- Build qemu-system-aarch64 on all arches                                       
- Run check on ARM arches, just don't fail the build ATM

Comment 2 Pavol Babinčák 2014-08-11 07:57:20 UTC
fedpkg calls rpm to query NVR from specfile. rpm is to blame here to be too strict.

Minimal example of that output:
rpm --quiet --specfile *.spec

It isn't exactly the same command that fedpkg uses as it defines & undefines multiple macros and specifies query format.

And finally you can run either
fedpkg lint

or directly:

rpmlint *.spec

To check what problem rpm sees in your spec file.

Comment 3 Richard W.M. Jones 2014-08-11 09:42:23 UTC
The problem turned out to be the XFCE Clock widget, which displayed
an incorrect date (Sunday 9 Aug).  Something to do with it being
after midnight on Saturday but before 1am, so the local day is Sunday but
the GMT date is (Sat) 9th Aug.


Note You need to log in before you can comment on or make changes to this bug.